package schedule

import (
	"leit.com/LAPP_GAAS_GFrame/models"
	"time"
)

// 换型矩阵
type SetupSrv struct{
	FromArtId		string
	ToArtId			string
	WorklineId		string
	SetupDura		time.Duration
	setuptab		models.MeSetupmatrix
}

// 初始化
func(ssrv *SetupSrv)Init(setuptab models.MeSetupmatrix){
	ssrv.setuptab	= setuptab
	ssrv.FromArtId	= setuptab.Fromartid
	ssrv.ToArtId	= setuptab.Toartid
	ssrv.SetupDura	= time.Second * time.Duration(float64(setuptab.Setuptime) * GetTimeUomSeconds(setuptab.Timeuomid))
}

// 获取字典Key值
func(ssrv *SetupSrv)GetKey()(key string){
	return ssrv.WorklineId+":"+ssrv.FromArtId + "->" + ssrv.ToArtId
}
