package common

import (
	"github.com/kataras/iris/v12/core/router"
)

func Register(party router.Party) {
	party = party.Party("/common")

	// codeparser
	codeparser := party.Party("/codeparser")

	// codeparser Select
	codeparser.Get("/", SelectCodeParser)
	codeparser.Get("/{parserId:string}", SelectOneCodeParser)

	// article
	article := party.Party("/article")

	// article Select
	article.Get("/", SelectArticle)
	article.Get("/{artId:string}", SelectOneArticle)
}
